Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 344561 (CVE-2010-3364) - <media-libs/vips-7.22.4: Insecure Environment Processing Allows Privilege Escalation (CVE-2010-3364)
Summary: <media-libs/vips-7.22.4: Insecure Environment Processing Allows Privilege Esc...
Status: RESOLVED FIXED
Alias: CVE-2010-3364
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo Security
URL: http://vips.svn.sourceforge.net/viewv...
Whiteboard: B2 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-07 18:04 UTC by Tim Sammut (RETIRED)
Modified: 2014-01-26 19:54 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Sammut (RETIRED) gentoo-dev 2010-11-07 18:04:04 UTC
From the Secunia advisory at: http://secunia.com/advisories/41997/

A security issue has been reported in VIPS, which can be exploited by malicious, local users to gain escalated privileges.

The security issue is caused due to the vips-7.22 script incorrectly setting the environment variable LD_LIBRARY_PATH. This can be exploited to gain escalated privileges e.g. by tricking a user into running the script in a directory containing a malicious library.

The security issue is reported in versions prior to 7.22.3.
Comment 1 Peter Volkov (RETIRED) gentoo-dev 2010-11-10 06:00:00 UTC
7.22.4 that fixes this problem is in the tree. Arch teams stabilize it and also stabilize nip2 as it's good idea for them to go stable together.

media-libs/vips-7.22.4
media-gfx/nip2-7.22.3
Comment 2 Christian Faulhammer (RETIRED) gentoo-dev 2010-11-10 12:16:40 UTC
x86 stable
Comment 3 Agostino Sarubbo gentoo-dev 2010-11-10 14:12:31 UTC
all ok on amd64
Comment 4 Markos Chandras (RETIRED) gentoo-dev 2010-11-10 21:21:34 UTC
amd64 done. Thanks Agostino
Comment 5 Jeroen Roovers gentoo-dev 2010-11-23 20:39:22 UTC
Stable for PPC.
Comment 6 Tim Sammut (RETIRED) gentoo-dev 2010-11-23 20:40:58 UTC
Thanks, folks. GLSA request filed.
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2014-01-26 19:54:22 UTC
This issue was resolved and addressed in
 GLSA 201401-29 at http://security.gentoo.org/glsa/glsa-201401-29.xml
by GLSA coordinator Mikle Kolyada (Zlogene).